Package com.fasterxml.jackson.module.paramnames

# Class ParameterNamesAnnotationIntrospector

java.lang.Object
com.fasterxml.jackson.databind.AnnotationIntrospector
com.fasterxml.jackson.databind.introspect.NopAnnotationIntrospector
com.fasterxml.jackson.module.paramnames.ParameterNamesAnnotationIntrospector

All Implemented Interfaces:
  `com.fasterxml.jackson.core.Versioned`, `Serializable`

public class ParameterNamesAnnotationIntrospector extends com.fasterxml.jackson.databind.introspect.NopAnnotationIntrospector
Introspector that uses parameter name information provided by the Java Reflection API additions in Java 8 to determine the parameter name for methods and constructors.

Author:
  Lovro Pandzic
See Also:
  - `AnnotationIntrospector`
  - `Parameter`
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector

`com.fasterxml.jackson.databind.AnnotationIntrospector.ReferenceProperty, com.fasterxml.jackson.databind.AnnotationIntrospector.XmlExtensions`

## Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.introspect.NopAnnotationIntrospector

`instance`

## Method Summary

Modifier and Type
Method
Description
`com.fasterxml.jackson.annotation.JsonCreator.Mode`
`findCreatorAnnotation(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config, com.fasterxml.jackson.databind.introspect.Annotated a)`
`String`
`findImplicitPropertyName(com.fasterxml.jackson.databind.introspect.AnnotatedMember m)`

### Methods inherited from class com.fasterxml.jackson.databind.introspect.NopAnnotationIntrospector

`version`

### Methods inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector

`_findAnnotation, _hasAnnotation, _hasOneOf, allIntrospectors, allIntrospectors, findAndAddVirtualProperties, findAutoDetectVisibility, findClassDescription, findContentDeserializer, findContentSerializer, findCreatorBinding, findDefaultEnumValue, findDeserializationContentConverter, findDeserializationContentType, findDeserializationConverter, findDeserializationKeyType, findDeserializationType, findDeserializer, findEnumAliases, findEnumValue, findEnumValues, findFilterId, findFormat, findIgnoreUnknownProperties, findInjectableValue, findInjectableValueId, findKeyDeserializer, findKeySerializer, findMergeInfo, findNameForDeserialization, findNameForSerialization, findNamingStrategy, findNullSerializer, findObjectIdInfo, findObjectReferenceInfo, findPOJOBuilder, findPOJOBuilderConfig, findPropertiesToIgnore, findPropertyAccess, findPropertyAliases, findPropertyContentTypeResolver, findPropertyDefaultValue, findPropertyDescription, findPropertyIgnoralByName, findPropertyIgnorals, findPropertyInclusion, findPropertyInclusionByName, findPropertyIndex, findPropertyTypeResolver, findReferenceType, findRenameByField, findRootName, findSerializationContentConverter, findSerializationContentType, findSerializationConverter, findSerializationInclusion, findSerializationInclusionForContent, findSerializationKeyType, findSerializationPropertyOrder, findSerializationSortAlphabetically, findSerializationType, findSerializationTyping, findSerializer, findSetterInfo, findSubtypes, findTypeName, findTypeResolver, findUnwrappingNameTransformer, findValueInstantiator, findViews, findWrapperName, hasAnyGetter, hasAnyGetterAnnotation, hasAnySetter, hasAnySetterAnnotation, hasAsKey, hasAsValue, hasAsValueAnnotation, hasCreatorAnnotation, hasIgnoreMarker, hasRequiredMarker, isAnnotationBundle, isIgnorableType, isTypeId, nopInstance, pair, refineDeserializationType, refineSerializationType, resolveSetterConflict`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### findImplicitPropertyName

public String findImplicitPropertyName(com.fasterxml.jackson.databind.introspect.AnnotatedMember m)

Overrides:
  `findImplicitPropertyName` in class `com.fasterxml.jackson.databind.AnnotationIntrospector`

### findCreatorAnnotation

public com.fasterxml.jackson.annotation.JsonCreator.Mode findCreatorAnnotation(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config, com.fasterxml.jackson.databind.introspect.Annotated a)

Overrides:
  `findCreatorAnnotation` in class `com.fasterxml.jackson.databind.AnnotationIntrospector`